# Asterisk Project : Asterisk 13 ManagerEvent_LocalOptimizationEnd

Created by wikibot on Aug 08, 2014

# LocalOptimizationEnd

### Synopsis

Raised when two halves of a Local Channel have finished optimizing themselves out of the media path.

### Description

### Syntax

    Event: LocalOptimizationEnd
    LocalOneChannel: <value>
    LocalOneChannelState: <value>
    LocalOneChannelStateDesc: <value>
    LocalOneCallerIDNum: <value>
    LocalOneCallerIDName: <value>
    LocalOneConnectedLineNum: <value>
    LocalOneConnectedLineName: <value>
    LocalOneAccountCode: <value>
    LocalOneContext: <value>
    LocalOneExten: <value>
    LocalOnePriority: <value>
    LocalOneUniqueid: <value>
    LocalTwoChannel: <value>
    LocalTwoChannelState: <value>
    LocalTwoChannelStateDesc: <value>
    LocalTwoCallerIDNum: <value>
    LocalTwoCallerIDName: <value>
    LocalTwoConnectedLineNum: <value>
    LocalTwoConnectedLineName: <value>
    LocalTwoAccountCode: <value>
    LocalTwoContext: <value>
    LocalTwoExten: <value>
    LocalTwoPriority: <value>
    LocalTwoUniqueid: <value>
    Success: <value>
    Id: <value>

##### Arguments

- `LocalOneChannel`
- `LocalOneChannelState` - A numeric code for the channel's current state, related to LocalOneChannelStateDesc
- `LocalOneChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `LocalOneCallerIDNum`
- `LocalOneCallerIDName`
- `LocalOneConnectedLineNum`
- `LocalOneConnectedLineName`
- `LocalOneAccountCode`
- `LocalOneContext`
- `LocalOneExten`
- `LocalOnePriority`
- `LocalOneUniqueid`
- `LocalTwoChannel`
- `LocalTwoChannelState` - A numeric code for the channel's current state, related to LocalTwoChannelStateDesc
- `LocalTwoChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `LocalTwoCallerIDNum`
- `LocalTwoCallerIDName`
- `LocalTwoConnectedLineNum`
- `LocalTwoConnectedLineName`
- `LocalTwoAccountCode`
- `LocalTwoContext`
- `LocalTwoExten`
- `LocalTwoPriority`
- `LocalTwoUniqueid`
- `Success` - Indicates whether the local optimization succeeded.
- `Id` - Identification for the optimization operation. Matches the Id from a previous `LocalOptimizationBegin`

### Class

CALL

### See Also

- Asterisk 13 ManagerEvent_LocalOptimizationBegin
- Asterisk 13 ManagerAction_LocalOptimizeAway

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538